PDA

View Full Version : rfxCOM raspberry Logger Message



HPS
September 26th, 2015, 05:53 AM
I installed Girder 6.1.12.1 on my brandnew rasperrypi 2 and attached the rfxcom box in order to control the blinds by somfy later on.
When switching on the plugin rfxcom, the Logger shows the message: Could not open rfxcom/security1Actioni.js
I tired with user root and user pi but no difference.
Any Ideas?

Ron
September 26th, 2015, 03:36 PM
looks like a case issue. Open file

<GIRDER>\lua\rfxcom\rfxcom.plugin

Line 6 ends with the two security1Action.js with a small letter, yet on disk it's capitalized.

"rfxcom/Security1Action.js", "rfxcom/Security1ActionConfig.js"

Change that and you should be good.

HPS
September 26th, 2015, 05:27 PM
Thanks Ron
That solved the first part of the problem. Then the same thing happend as in the thread of Febr. 26. So I put the init.lua File attached in the thread et voilą, it works perfect.
I'm always delighted about your super fast support.
Hans-Peter

Ron
September 27th, 2015, 10:25 AM
Did I forget to grab a fix, darn. Could you link to the post?

HPS
September 30th, 2015, 07:23 AM
It's the thread from user andersh, dated February 26, 05:46, titled "RFXCOM on Raspberry". Within that is the attachement I used.
I cannot find a way on this page to link this post to the one with the attachment.
Cheers
Hans-Peter

Ron
September 30th, 2015, 08:06 AM
Strange I've gone and compared that init.lua to the init.lua from my code repository and it's exactly the same. Let me know if the next RPI release gives you trouble again.